#### connect (3 of 12 overloads)

(Deprecated: Use range overload.) Establishes a socket connection by trying each endpoint in a sequence.

    template<
        typename Protocol,
        typename Executor,
        typename Iterator>
    Iterator connect(
        basic_socket< Protocol, Executor > & s,
        Iterator begin,
        typename enable_if<!is_endpoint_sequence< Iterator >::value >::type *  = 0);

This function attempts to connect a socket to one of a sequence of endpoints. It does this by repeated calls to the socket's `connect` member function, once for each endpoint in the sequence, until a connection is successfully established.

###### Parameters

s

  The socket to be connected. If the socket is already open, it will be closed.

begin

  An iterator pointing to the start of a sequence of endpoints.

###### Return Value

On success, an iterator denoting the successfully connected endpoint. Otherwise, the end iterator.

###### Exceptions

asio::system_error

  Thrown on failure. If the sequence is empty, the associated `error_code` is `asio::error::not_found`. Otherwise, contains the error from the last connection attempt.

###### Remarks

This overload assumes that a default constructed object of type `Iterator` represents the end of the sequence. This is a valid assumption for iterator types such as `asio::ip::tcp::resolver::iterator`.